Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Info

For the application server to work, it must have access to the PostgreSQL database management server of at least version 9.26. The PostgreSQL server must accept connections using password authentication by the md5 or trust method. You can configure authorization by editing the pg_hba.conf file, as described in the PostgreSQL documentation.

...

Info

To install the plug-in, Intellij IDEA version 20172020.1 .6 or higher must be installed on the computer.

...

...

  • Download the lsfusion-server-<version>.jar file of the required version (for example, lsfusion-server-24.01.jar) from the central server to the folder of the required project module (we will call this folder $FUSION_DIR$).
  • If the database server is located on another computer, and if authorization is enabled on the database server (for example, for Postgres, using the md5 method and if the postgres password is not empty), set the database server connection parameters (e.g., by creating a startup settings file in the project folder)
  • Add the downloaded file as a dependency of the required project module (File → Project Structure → Modules → module name → Dependencies tab → +) 
  • Create a startup configuration (when creating a new lsFusion project, this and the upper two sections are done automatically). 
    Anchor
    bean
    bean
    If the platform is loaded as a library, instead of creating a configuration you can use a Spring bean with the logicsInstance ID from the lsfusion.xml configuration file, and its start() and stop() methods, responsible for starting and stopping the application server, respectively.

...